#include <iostream>
#include <string>
#include <cmath>
using namespace std;
int main()
{
  long long n;
  cin>>n;
  long long a[n];
  long long b[n];
  for(int i=0;i<n;i++)
  {
    cin>>a[i];
    cin>>b[i];
  }
  long long sortt=0;
  for(int i=0;i<n-1;i++)
  {
      sortt=i;
      for(int j=i+1;j<n;j++)
      {
          if(a[sortt]>a[j])
          {
              sortt=j;
          }
      }
      swap(a[sortt],a[i]);
  }
  sortt=0;
  for(int i=0;i<n-1;i++)
  {
      sortt=i;
      for(int j=i+1;j<n;j++)
      {
          if(b[sortt]>b[j])
          {
              sortt=j;
          }
      }
      swap(b[sortt],b[i]);
  }
  long long s=0;
  for(int i=0;i<n;i++)
  {
    s=s+abs(i+1-a[i])+abs(i+1-b[i]);
  }
  cout<<s;
}